Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
A mac-oriented emacs configuration bundle with batteries included: check out as ~/.emacs.d
Branch: master
Pull request Compare This branch is 1114 commits behind purcell:master.

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
site-lisp
.ecb-user-layouts.el
.gitignore
.viper
README
custom.el
init-auto-complete.el
init-byte-code-cache.el
init-clojure.el
init-common-lisp.el
init-crontab.el
init-css.el
init-csv.el
init-darcs.el
init-dired.el
init-edit-server.el
init-editing-utils.el
init-el-get.el
init-elpa.el
init-erlang.el
init-exec-path.el
init-flymake.el
init-flyspell.el
init-fonts.el
init-frame-hooks.el
init-git.el
init-gnuplot.el
init-growl.el
init-gui-frames.el
init-haml.el
init-haskell.el
init-hippie-expand.el
init-htmlize.el
init-ibuffer.el
init-ido.el
init-iedit.el
init-isearch.el
init-javascript.el
init-lisp.el
init-locales.el
init-mail.el
init-markdown.el
init-maxframe.el
init-misc.el
init-mmm.el
init-nxml.el
init-ocaml.el
init-org.el
init-osx-keys.el
init-php.el
init-proxies.el
init-python-mode.el
init-rails.el
init-recentf.el
init-regex-tool.el
init-ruby-mode.el
init-scheme.el
init-sessions.el
init-sh.el
init-slime.el
init-spelling.el
init-svn.el
init-textile.el
init-themes.el
init-title-bar.el
init-twitter.el
init-uniquify.el
init-utils.el
init-viper.el
init-windows.el
init-xterm.el
init.el

README

This is an emacs configuration tree that supports a number of
programming languages, particularly Ruby/Rails and other dynamic
languages including Clojure, PHP, Python etc.

In particular, I have a nice config for tab autocompletion, and
flymake is used to immediately highlight syntax errors in Ruby, HAML,
Python, Javascript, PHP and some other languages.

To install, clone this repo to ~/.emacs.d, i.e. ensure that the
'init.el' contained in this repo ends up at ~/.emacs.d/init.el.  Upon
starting up Emacs for the first time, you'll be prompted to install
el-get, which will take care of installing a variety of third-party
packages.

Although these config files aren't meant to be a replacement for
emacs-starter-kit, some of the tips & tricks contained herein might be
useful to others, and there are flags at the top of init.el which can
toggle certain features that might annoy people who aren't me,
e.g. the "viper" vi emulation.

I use Emacs from CVS on a Mac, but the config should work in other
environments too.

-Steve Purcell
Something went wrong with that request. Please try again.